Boomi Platform Connector API Reference (1.0.0) - ConnectorGroup
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
A connector group is a collection of versioned connectors, which enables the connection of processes with a particular application. You can assign same versions to multiple connectors within a connector group.
Create a connector group
Use this operation to create a shell of a connector, that is, a connector group and optionally create a connector classification, if classification details are provided in the request. A connector group is the parent shell that can hold multiple classifications and versions of that connector. You can optionally add vendor details via the API to be stored as part of the connector group.
Authorizations:
Request Body schema: optional
required | object (CreateConnectorClassification) |
| groupName required | string |
object (ConnectorVendor) |
Responses
Response Schema:
required | object |
| groupName required | string |
object | |
| groupType | string |
| lastModifiedDate | string <date-time> |
| dateCreated | string <date-time> |
| deleted | boolean |
object (User) |
Request samples
- Payload
{- "ConnectorVendor": {
- "supportEmail": "boomi@boomi.com",
- "vendorName": "Boomi",
- "vendorProduct": "Boomi",
- "vendorProductVersion": "1"
}, - "CreateConnectorClassification": {
- "classification": "dev",
- "displayName": "Group Test 4 Connector",
- "groupType": "test-account-boomi-conn",
- "version": 3
}, - "groupName": "Group Test 4"
}Response samples
- 200
- 403
- 410
- 503
{- "ConnectorVendor": {
- "supportEmail": "boomi@boomi.com",
- "vendorName": "Boomi",
- "vendorProduct": "Boomi",
- "vendorProductVersion": "1"
}, - "CreateConnectorClassification": {
- "classification": "dev",
- "displayName": "Group Test 4 Connector",
- "groupType": "test-account-boomi-conn",
- "version": 3
}, - "groupName": "Group Test 4",
- "groupType": "sample-connector",
- "lastModifiedDate": "2019-08-24T14:15:22Z",
- "dateCreated": "2019-08-24T14:15:22Z",
- "deleted": false,
- "createdBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}
}Retrieve a connector group
Use this operation to retrieve a connector group by providing the connectorType that is the unique type value for that connector. A connector group is the parent shell that can hold multiple classifications and versions of that connector. The response retrieved will contain information about the connector group along with its available classifications and versions, if any.
Authorizations:
path Parameters
| groupType required | string Example: accountID-sample
For example, if the Type column displays accountID-sample-uat, then the |
Responses
Response Schema:
required | object |
| groupName required | string |
object | |
| groupType | string |
| lastModifiedDate | string <date-time> |
| dateCreated | string <date-time> |
| deleted | boolean |
object (User) |
Response samples
- 200
- 403
- 410
- 503
{- "ConnectorVendor": {
- "supportEmail": "boomi@boomi.com",
- "vendorName": "Boomi",
- "vendorProduct": "Boomi",
- "vendorProductVersion": "1"
}, - "CreateConnectorClassification": {
- "classification": "dev",
- "displayName": "Group Test 4 Connector",
- "groupType": "test-account-boomi-conn",
- "version": 3
}, - "groupName": "Group Test 4",
- "groupType": "sample-connector",
- "lastModifiedDate": "2019-08-24T14:15:22Z",
- "dateCreated": "2019-08-24T14:15:22Z",
- "deleted": false,
- "createdBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}
}Delete a connector group
Use this operation to delete a connector group by providing the groupType that is the unique type value for that connector. A connector group is the parent shell that can hold multiple classifications and versions of that connector. In order for a connector group to be deleted the classifications within that group also need to be deleted. The response will be a true or false value indicating if the ConnectorGroup was successfully deleted.
Authorizations:
path Parameters
| groupType required | string Example: accountID-sample
For example, if the Type column displays accountID-sample-uat, then the |
Responses
Response samples
- 403
- 410
- 503
{- "message": "Access denied due to insufficient permissions."
}Retrieve connector groups with classifications
Use this operation to retrieve connector groups with their respective classifications. This API fetches less than or equal to the supported limit of 20 records.
Authorizations:
Request Body schema: optional
required | object | ||||||||||
| |||||||||||
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string |
Array of objects (ConnectorGroupQuery) |
Request samples
- Payload
{- "QueryFilter": {
- "expression": {
- "argument": [
- "string"
], - "operator": "EQUALS",
- "property": "string"
}
}
}Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 0,
- "queryToken": "string",
- "result": [
- {
- "classifications": [
- {
- "classification": "dev",
- "classificationType": "sample-connector-classification",
- "createdBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "dateCreated": "2019-08-24T14:15:22Z",
- "deleted": true,
- "displayName": "Sample connector",
- "groupType": "sample-connector",
- "lastModifiedDate": "2019-08-24T14:15:22Z",
- "pendingVersion": "3",
- "releaseDate": "2019-08-24T14:15:22Z",
- "reviewStatus": "APPROVED",
- "version": "3",
- "visibility": "PUBLIC"
}
], - "createdBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "dateCreated": "2019-08-24T14:15:22Z",
- "deleted": true,
- "groupType": "string",
- "lastModifiedDate": "2019-08-24T14:15:22Z",
- "name": "string",
- "vendor": {
- "supportEmail": "boomi@boomi.com",
- "vendorName": "Boomi",
- "vendorProduct": "Boomi",
- "vendorProductVersion": "1"
}
}
]
}Retrieve additional results for connector groups with classifications
Use this operation to retrieve connector groups with their respective classifications. Use this API as a follow-up query for records beyond the first 20 records.
Authorizations:
Request Body schema: text/plainrequired
Responses
Response Schema:
| numberOfResults | integer <int32> |
| queryToken | string |
Array of objects (ConnectorGroupQuery) |
Response samples
- 200
- 403
- 410
- 503
{- "numberOfResults": 0,
- "queryToken": "string",
- "result": [
- {
- "classifications": [
- {
- "classification": "dev",
- "classificationType": "sample-connector-classification",
- "createdBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "dateCreated": "2019-08-24T14:15:22Z",
- "deleted": true,
- "displayName": "Sample connector",
- "groupType": "sample-connector",
- "lastModifiedDate": "2019-08-24T14:15:22Z",
- "pendingVersion": "3",
- "releaseDate": "2019-08-24T14:15:22Z",
- "reviewStatus": "APPROVED",
- "version": "3",
- "visibility": "PUBLIC"
}
], - "createdBy": {
- "email": "testUser@boomi.com",
- "firstName": "Boomi",
- "lastName": "User"
}, - "dateCreated": "2019-08-24T14:15:22Z",
- "deleted": true,
- "groupType": "string",
- "lastModifiedDate": "2019-08-24T14:15:22Z",
- "name": "string",
- "vendor": {
- "supportEmail": "boomi@boomi.com",
- "vendorName": "Boomi",
- "vendorProduct": "Boomi",
- "vendorProductVersion": "1"
}
}
]
}